package member_service

import (
	"SCRM/models"
	"SCRM/service"
	"strings"
)

func GetMemberList(orgID, page, limit, level, source, tag, startTime, endTime int64, isStartTime, isEndTime bool, searchKey string) (members []*Members, total int64, err error) {
	db := service.UserReadDB().Model(&models.UserCustomer{}).Where("status=1")
	if orgID > 0 {
		db = db.Where("user_org_id=?", orgID)
	}
	if source > 0 {
		db = db.Where("sources=?", source)
	}

	if isStartTime {
		db = db.Where("created_time>=?", startTime)
	}
	if isEndTime {
		db = db.Where("created_time<=?", endTime)
	}
	if len(searchKey) > 0 {
		searchKey = "%" + searchKey + "%"
		db = db.Where("name LIKE ? OR mobile LIKE ? ", searchKey, searchKey)
	}

	offset := (page - 1) * limit
	err = db.Count(&total).Order("id desc").Offset(offset).Limit(limit).Find(&members).Error
	if err != nil {
		return
	}
	if len(members) > 0 {
		for _, member := range members {
			member.Avatar = strings.Replace(member.Avatar, "http://7xkofe.com1.z0.glb.clouddn.com", "https://images.shengws.com", 1)
		}
	}

	return
}
